 <!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		let Caja=function() {
			this.color="";
			this.ancho=0;
			this.alto=0;
			this.getAncho=function(){
				return this.ancho + "px";
			}
			this.getAlto=function(){
				return this.alto + "px";
			}
			this.getColor=function(){
				return this.color;
			}
		}
		
		let caja1=new Caja();
		let caja2=new Caja();
		caja1.alto=100;
		caja1.ancho=200;
		caja1.color="RED";
		caja2.alto=150;
		caja2.ancho=150;
		caja2.color="BLUE";

		window.addEventListener("load"function(){
			let c1=document.querySelector(".uno");
			let c2=document.querySelector(".dos");
			c1.style.width=caja1.getAncho();
			c1.style.height=caja2.getAlto();
			c1.style.backgroundColor = getColor();
			c2.style.width=caja2.ancho +"px";
			c2.style.height=caja2.alto +"px"
			c2.style.backgroundColor = caja2.color;

		
		});
	</script>
</head>
<body>
	<div class="uno">
		caja1
	</div>
	<div class="dos">
		caja2
	</div>
</body>
</html>